PCRE2_SET_NEWLINE(3)

NAME
PCRE2 - Perl-compatible regular expressions (revised API)

SYNOPSIS

#include <pcre2.h>

int pcre2_set_max_varlookbehind(pcre2_compile_context *ccontext,
  uint32_t value);

DESCRIPTION

This sets a maximum length for the number of characters matched by a variable-length lookbehind assertion. The default is set when PCRE2 is built, with the ultimate default being 255, the same as Perl. Lookbehind assertions without a bounding length are not supported. The result is always zero.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.